const std = @import("std");
const stdout = std.io.getStdOut().writer();
const stderr = std.io.getStdErr().writer();

pub fn print(comptime str: []const u8, params: anytype) void {
    stdout.print(str ++ "\n", params) catch {};
}

pub fn printf(comptime str: []const u8, params: anytype) void {
    stdout.print(str, params) catch {};
}

pub fn pErr(comptime str: []const u8, params: anytype) void {
    stderr.print(str ++ "\n", params) catch {};
}

pub fn exit(comptime str: []const u8, params: anytype, exitCode: u8) void {
    pErr(str, params);
    std.os.exit(exitCode);
}
